%define anolis_release 5

%bcond_without perl_Unicode_LineBreak_enables_optional_test

Name:           perl-Unicode-LineBreak
Summary:        UAX #14 Unicode Line Breaking Algorithm
Version:        2019.001
Release:        %{anolis_release}%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Unicode-LineBreak
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEZUMI/Unicode-LineBreak-%{version}.tar.gz

BuildRequires:  perl(warnings) perl(XSLoader) perl(FindBin) perl(lib) perl(Test::More) >= 0.45
BuildRequires:  perl-devel perl-generators perl-interpreter perl(:VERSION) >= 5.8 perl(Config)
BuildRequires:  libthai-devel coreutils findutils
BuildRequires:  perl(Carp) perl(constant) perl(Encode) >= 1.98 perl(Exporter)
BuildRequires:  perl(strict) perl(ExtUtils::MakeMaker)
BuildRequires:  perl(MIME::Charset) >= 1.006.2 perl(overload) perl(vars)
BuildRequires:  pkgconfig sed sombok-devel
BuildRequires:  gcc make
%if %{with perl_Unicode_LineBreak_enables_optional_test}
BuildRequires:  perl(Test::Pod) >= 1.00
%endif
Requires:       perl(Encode) >= 1.98 perl(MIME::Charset) >= 1.006.2

%{?filter_setup:
%filter_from_requires /perl(Unicode::LineBreak::Constants)/d
%filter_from_provides /^perl(Unicode::LineBreak)$/d
}
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Unicode::LineBreak::Constants\\)
%global __requires_exclude %__requires_exclude|^perl\\(constant\\)\s*$
%global __requires_exclude %__requires_exclude|^perl\\(Encode\\)\s*$
%global __requires_exclude %__requires_exclude|^perl\\(MIME::Charset\\)\s*$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Unicode::LineBreak\\)$

%description
The perl-Unicode-LineBreak is a Perl module that provides an interface
to the Unicode Line Breaking Algorithm (UAX #14). It is used to break
lines of Unicode text into appropriate segments based on various rules
and conventions, such as hyphenation, word wrapping, and punctuation.
This module provides a flexible and customizable way to handle line breaks
in Unicode text, which can be especially useful for text processing and
formatting applications.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Unicode-LineBreak-%{version}
%{__rm} -rf sombok
%{__sed} -i -e '/^sombok/d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%{__make} pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

mkdir -p $RPM_BUILD_ROOT%{_mandir}/ja/man3
for mod in Text::LineFold Unicode::GCString Unicode::LineBreak; do
  mv $RPM_BUILD_ROOT%{_mandir}/man3/POD2::JA::$mod.3pm $RPM_BUILD_ROOT%{_mandir}/ja/man3/$mod.3pm
done

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license ARTISTIC GPL
%{_mandir}/man3/*
%{_mandir}/ja/man3/*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Text
%{perl_vendorarch}/POD2
%{perl_vendorarch}/Unicode*

%files doc
%doc Changes Changes.REL1 README Todo.REL1

%changelog
* Fri Apr 14 2023 Heng Qi <hengqi@linux.alibaba.com> - 2019.001-5
- Refactor the spec file

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2019.001-4
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2019.001-3
- rebuild with perl 5.36.0

* Tue Apr 26 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2019.001-2
- add filter

* Thu Apr 21 2022 yuanhui <yuanhui@linux.alibaba.com> - 2019.001-1
- Init perl-Unicode-LineBreak for anolis os 23
